Summary:	Fuse utilities
Summary(pl.UTF-8):	Programy użytkowe do fuse'a
Name:		fuse-utils
Version:	1.1.1
Release:	2
License:	GPL v2+
Group:		Applications/Emulators
Source0:	http://downloads.sourceforge.net/fuse-emulator/%{name}-%{version}.tar.gz
# Source0-md5:	76832afc4fc42b3ec5f38cdd4e764170
Patch0:		ffmpeg_enum_codecid.patch
URL:		http://fuse-emulator.sourceforge.net/
BuildRequires:	audiofile-devel >= 0.2.3
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	ffmpeg-devel >= 1.0.1
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libgcrypt-devel
BuildRequires:	libspectrum-devel >= 1.1.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	libspectrum >= 1.1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Fuse utilities are a few tools which may be of occasional use when
dealing with ZX Spectrum emulator files. They were originally
distributed with Fuse, the Free Unix Spectrum Emulator, but are now
independent of Fuse and can be used on their own.

The available utilities are:

- rzxdump: list the contents of an RZX input recording file.
- rzxtool: add, extract or remove the embedded snapshot from an RZX
  file, or compress or uncompress the file.
- tzxconv: do a best-guess conversion of a TZX file to a .tap file.
- tzxlist: list the contents of a TZX file.

%description -l pl.UTF-8
Programy użytkowe do fuse'a to kilka narzędzi, które mogą się przydać
gdy używamy plików emulatorów ZX Spectrum. Wcześniej były
dystrybuowane z Fuse - emulatorem ZX Spectrum, ale teraz są niezależne
i mogą być używane samodzielnie.

Dostępne są:

- rzxdump: wyświetla zawartość pliku RZX.
- rzxtool: dodaje, wyjmuje lub usuwa zanurzony snapshot z pliku RZX, a
  także kompresuje lub dekompresuje pliki.
- tzxconv: konwersuje pliki TZX do formatu TAP.
- tzxlist: wyświetla zawartość pliku TZX.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/audio2tape
%attr(755,root,root) %{_bindir}/createhdf
%attr(755,root,root) %{_bindir}/fmfconv
%attr(755,root,root) %{_bindir}/listbasic
%attr(755,root,root) %{_bindir}/profile2map
%attr(755,root,root) %{_bindir}/raw2hdf
%attr(755,root,root) %{_bindir}/rzxcheck
%attr(755,root,root) %{_bindir}/rzxdump
%attr(755,root,root) %{_bindir}/rzxtool
%attr(755,root,root) %{_bindir}/scl2trd
%attr(755,root,root) %{_bindir}/snap2tzx
%attr(755,root,root) %{_bindir}/snapconv
%attr(755,root,root) %{_bindir}/tape2wav
%attr(755,root,root) %{_bindir}/tapeconv
%attr(755,root,root) %{_bindir}/tzxlist
%{_mandir}/man1/audio2tape.1*
%{_mandir}/man1/createhdf.1*
%{_mandir}/man1/fmfconv.1*
%{_mandir}/man1/fuse-utils.1*
%{_mandir}/man1/listbasic.1*
%{_mandir}/man1/profile2map.1*
%{_mandir}/man1/raw2hdf.1*
%{_mandir}/man1/rzxcheck.1*
%{_mandir}/man1/rzxdump.1*
%{_mandir}/man1/rzxtool.1*
%{_mandir}/man1/scl2trd.1*
%{_mandir}/man1/snap2tzx.1*
%{_mandir}/man1/snapconv.1*
%{_mandir}/man1/tape2wav.1*
%{_mandir}/man1/tapeconv.1*
%{_mandir}/man1/tzxlist.1*
%changelog
* Wed Aug 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fuse-utils.git;a=log;h=master

* Mon Aug 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 3fbfbc9
- added ffmpeg_enum_codecid.patch
- added BR: gettext-devel because autotools were unable to generate configure
- rel 2

* Mon Aug 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 9a9be08
- compilation fix for ffmpeg-2

* Mon Jun 03 2013 witekfl <witekfl@poczta.onet.pl> 8b392ff
- 1.1.1
- force usage of libspectrum-1.1.1

* Thu May 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 697d042
- completed BRs, removed obsolete audiofile-0.3 patch

* Mon May 20 2013 witekfl <witekfl@poczta.onet.pl> 4cb45db
- up to 1.1.0
- BR ffmpeg-devel

* Sun Aug 12 2012 Łukasz Kieś <kiesiu@pld-linux.org> 927a64d
- added patch for linking with audiofile-0.3.x; rel. 3

* Sun Aug 12 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9c5b53f
- proper way of finding audiofile-0.3.x

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ab3b3b1
- release 2

* Sat Dec 18 2010 Jakub Bogusz <qboosh@pld-linux.org> 847622d
- verbose bin/man files

* Fri Dec 17 2010 witekfl <witekfl@pld-linux.org> 8b4cdef
- 1.0.0

* Wed Apr 29 2009 witekfl <witekfl@pld-linux.org> 3072d80
- up to 0.10.0.1
- removed missing.patch

* Sun Feb 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 67635fe
- release 2

* Fri Dec 05 2008 witekfl <witekfl@pld-linux.org> 4f1726e
- up to 0.10.0
- BR: libtool, libstdc++-devel, audiofile-devel

* Fri Dec 05 2008 witekfl <witekfl@pld-linux.org> f72e556
- missing files, taken from SVN

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> d8674ae
- updated to 0.9.0

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 5366952
- updated to 0.8.0.1
- removed obsolete missing patch

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> c021db7
- obsolete

* Wed Apr 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 4c20232
- updated to 0.8.0
- added missing patch with missing file taken from fuse CVS

* Wed Apr 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 1f781ef
- missing file from CVS

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e4056d4
- tabs in preamble

